#include <bits/stdc++.h>

using namespace std;

const int MOD=1e9+7;

long long pow(long long a, long long b)
{
    if (b==0)
        return 1;
    if (b==1)
        return a%MOD;
    long long x=pow(a,b/2);
    long long y=pow(a,b%2);
    x*=x;
    x%MOD;
    x*=y;
    x%=MOD;
    return x;
}

long long mas[200100];

int main()
{
    long long n;
    long long ans=0;
    cin>>n;
    for (int i=1; i<=n; i++)
        cin>>mas[i];
    for (int i=0; i<=n; i++)
        if (mas[i]>mas[i-1])
        ans+=mas[i]-mas[i-1];
    cout<<ans<<"\n";


    return 0;
}
